Subject: Re: [PATCH] [POWERPC] convert transfer_to_handler into a macro

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 01 May 2008 09:53:22 +1000

On Wed, 2008-04-30 at 18:45 -0500, Josh Boyer wrote:
> > thanks.  Will take a look.  I just plan on overloading MMUCR with
> MAS0.
> 
> Erg.  Why?  Please don't do that.  This is common code and MAS0
> doesn't
> make much sense on 4xx.  It'll be confusing to anyone that isn't aware
> of this change.

Nah, he meant using the slot for MAS0 in the exception frame structure
as to not have to define two different structures I suppose...

> Can we come up with a generic #define that gets used instead?
> 
> josh

Ben.